package de.intevation.flys.client.server;

import org.w3c.dom.Element;
import org.w3c.dom.NodeList;

import org.apache.log4j.Logger;

import de.intevation.flys.client.shared.model.Style;
import de.intevation.flys.client.shared.model.StyleSetting;


public class StyleHelper {

    private static final Logger logger = Logger.getLogger(StyleHelper.class);


    public static Style getStyle (Element element) {
        if (!element.getTagName().equals("theme")) {
            return null;
        }

        NodeList list = element.getElementsByTagName("field");
        Style style = new Style();

        style.setName (element.getAttribute("name"));
        style.setFacet (element.getAttribute("facet"));

        try {
            int ndx = Integer.parseInt(element.getAttribute("index"));
            style.setIndex (ndx);
        }
        catch(NumberFormatException nfe) {
            return null;
        }

        for(int i = 0; i < list.getLength(); i++) {
            Element     e = (Element) list.item(i);
            String hidden = e.getAttribute("hidden");

            StyleSetting set = new StyleSetting (
                e.getAttribute("name"),
                e.getAttribute("default"),
                e.getAttribute("display"),
                e.getAttribute("hints"),
                e.getAttribute("type"),
                (hidden != null ? Boolean.valueOf(hidden) : false)
            );
            style.appendStyleSetting(set);
        }
        return style;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
